1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_default_prefix=/usr/local
15
16# Initialize some variables set by options.
17# The variables have the same names as the options, with
18# dashes changed to underlines.
19build=NONE
20cache_file=./config.cache
21exec_prefix=NONE
22host=NONE
23no_create=
24nonopt=NONE
25no_recursion=
26prefix=NONE
27program_prefix=NONE
28program_suffix=NONE
29program_transform_name=s,x,x,
30silent=
31site=
32srcdir=
33target=NONE
34verbose=
35x_includes=NONE
36x_libraries=NONE
37bindir="${exec_prefix}/bin"
38sbindir="${exec_prefix}/sbin"
39libexecdir="${exec_prefix}/libexec"
40datadir="${prefix}/share"
41sysconfdir="${prefix}/etc"
42sharedstatedir="${prefix}/com"
43localstatedir="${prefix}/var"
44libdir="${exec_prefix}/lib"
45includedir="${prefix}/include"
46oldincludedir="/usr/include"
47infodir="${prefix}/info"
48mandir="${prefix}/man"
49
50# Initialize some other variables.
51subdirs=
52MFLAGS= MAKEFLAGS=
53SHELL=${CONFIG_SHELL-/bin/sh}
54# Maximum number of lines to put in a shell here document.
55ac_max_here_lines=12
56
57ac_prev=
58for ac_option
59do
60
61  # If the previous option needs an argument, assign it.
62  if test -n "$ac_prev"; then
63    eval "$ac_prev=\$ac_option"
64    ac_prev=
65    continue
66  fi
67
68  case "$ac_option" in
69  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
70  *) ac_optarg= ;;
71  esac
72
73  # Accept the important Cygnus configure options, so we can diagnose typos.
74
75  case "$ac_option" in
76
77  -bindir | --bindir | --bindi | --bind | --bin | --bi)
78    ac_prev=bindir ;;
79  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
80    bindir="$ac_optarg" ;;
81
82  -build | --build | --buil | --bui | --bu)
83    ac_prev=build ;;
84  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
85    build="$ac_optarg" ;;
86
87  -cache-file | --cache-file | --cache-fil | --cache-fi \
88  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
89    ac_prev=cache_file ;;
90  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
91  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
92    cache_file="$ac_optarg" ;;
93
94  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
95    ac_prev=datadir ;;
96  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
97  | --da=*)
98    datadir="$ac_optarg" ;;
99
100  -disable-* | --disable-*)
101    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
102    # Reject names that are not valid shell variable names.
103    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
104      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105    fi
106    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
107    eval "enable_${ac_feature}=no" ;;
108
109  -enable-* | --enable-*)
110    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
111    # Reject names that are not valid shell variable names.
112    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
113      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114    fi
115    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
116    case "$ac_option" in
117      *=*) ;;
118      *) ac_optarg=yes ;;
119    esac
120    eval "enable_${ac_feature}='$ac_optarg'" ;;
121
122  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
123  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
124  | --exec | --exe | --ex)
125    ac_prev=exec_prefix ;;
126  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
127  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
128  | --exec=* | --exe=* | --ex=*)
129    exec_prefix="$ac_optarg" ;;
130
131  -gas | --gas | --ga | --g)
132    # Obsolete; use --with-gas.
133    with_gas=yes ;;
134
135  -help | --help | --hel | --he)
136    # Omit some internal or obsolete options to make the list less imposing.
137    # This message is too long to be a string in the A/UX 3.1 sh.
138    cat << EOF
139Usage: configure [options] [host]
140Options: [defaults in brackets after descriptions]
141Configuration:
142  --cache-file=FILE       cache test results in FILE
143  --help                  print this message
144  --no-create             do not create output files
145  --quiet, --silent       do not print \`checking...' messages
146  --version               print the version of autoconf that created configure
147Directory and file names:
148  --prefix=PREFIX         install architecture-independent files in PREFIX
149                          [$ac_default_prefix]
150  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
151                          [same as prefix]
152  --bindir=DIR            user executables in DIR [EPREFIX/bin]
153  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
154  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
155  --datadir=DIR           read-only architecture-independent data in DIR
156                          [PREFIX/share]
157  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
158  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
159                          [PREFIX/com]
160  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
161  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
162  --includedir=DIR        C header files in DIR [PREFIX/include]
163  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
164  --infodir=DIR           info documentation in DIR [PREFIX/info]
165  --mandir=DIR            man documentation in DIR [PREFIX/man]
166  --srcdir=DIR            find the sources in DIR [configure dir or ..]
167  --program-prefix=PREFIX prepend PREFIX to installed program names
168  --program-suffix=SUFFIX append SUFFIX to installed program names
169  --program-transform-name=PROGRAM
170                          run sed PROGRAM on installed program names
171EOF
172    cat << EOF
173Host type:
174  --build=BUILD           configure for building on BUILD [BUILD=HOST]
175  --host=HOST             configure for HOST [guessed]
176  --target=TARGET         configure for TARGET [TARGET=HOST]
177Features and packages:
178  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
179  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
180  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
181  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
182  --x-includes=DIR        X include files are in DIR
183  --x-libraries=DIR       X library files are in DIR
184EOF
185    if test -n "$ac_help"; then
186      echo "--enable and --with options recognized:$ac_help"
187    fi
188    exit 0 ;;
189
190  -host | --host | --hos | --ho)
191    ac_prev=host ;;
192  -host=* | --host=* | --hos=* | --ho=*)
193    host="$ac_optarg" ;;
194
195  -includedir | --includedir | --includedi | --included | --include \
196  | --includ | --inclu | --incl | --inc)
197    ac_prev=includedir ;;
198  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
199  | --includ=* | --inclu=* | --incl=* | --inc=*)
200    includedir="$ac_optarg" ;;
201
202  -infodir | --infodir | --infodi | --infod | --info | --inf)
203    ac_prev=infodir ;;
204  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
205    infodir="$ac_optarg" ;;
206
207  -libdir | --libdir | --libdi | --libd)
208    ac_prev=libdir ;;
209  -libdir=* | --libdir=* | --libdi=* | --libd=*)
210    libdir="$ac_optarg" ;;
211
212  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
213  | --libexe | --libex | --libe)
214    ac_prev=libexecdir ;;
215  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
216  | --libexe=* | --libex=* | --libe=*)
217    libexecdir="$ac_optarg" ;;
218
219  -localstatedir | --localstatedir | --localstatedi | --localstated \
220  | --localstate | --localstat | --localsta | --localst \
221  | --locals | --local | --loca | --loc | --lo)
222    ac_prev=localstatedir ;;
223  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
224  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
225  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
226    localstatedir="$ac_optarg" ;;
227
228  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
229    ac_prev=mandir ;;
230  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
231    mandir="$ac_optarg" ;;
232
233  -nfp | --nfp | --nf)
234    # Obsolete; use --without-fp.
235    with_fp=no ;;
236
237  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
238  | --no-cr | --no-c)
239    no_create=yes ;;
240
241  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
242  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
243    no_recursion=yes ;;
244
245  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
246  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
247  | --oldin | --oldi | --old | --ol | --o)
248    ac_prev=oldincludedir ;;
249  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
250  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
251  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
252    oldincludedir="$ac_optarg" ;;
253
254  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
255    ac_prev=prefix ;;
256  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
257    prefix="$ac_optarg" ;;
258
259  -program-prefix | --program-prefix | --program-prefi | --program-pref \
260  | --program-pre | --program-pr | --program-p)
261    ac_prev=program_prefix ;;
262  -program-prefix=* | --program-prefix=* | --program-prefi=* \
263  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
264    program_prefix="$ac_optarg" ;;
265
266  -program-suffix | --program-suffix | --program-suffi | --program-suff \
267  | --program-suf | --program-su | --program-s)
268    ac_prev=program_suffix ;;
269  -program-suffix=* | --program-suffix=* | --program-suffi=* \
270  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
271    program_suffix="$ac_optarg" ;;
272
273  -program-transform-name | --program-transform-name \
274  | --program-transform-nam | --program-transform-na \
275  | --program-transform-n | --program-transform- \
276  | --program-transform | --program-transfor \
277  | --program-transfo | --program-transf \
278  | --program-trans | --program-tran \
279  | --progr-tra | --program-tr | --program-t)
280    ac_prev=program_transform_name ;;
281  -program-transform-name=* | --program-transform-name=* \
282  | --program-transform-nam=* | --program-transform-na=* \
283  | --program-transform-n=* | --program-transform-=* \
284  | --program-transform=* | --program-transfor=* \
285  | --program-transfo=* | --program-transf=* \
286  | --program-trans=* | --program-tran=* \
287  | --progr-tra=* | --program-tr=* | --program-t=*)
288    program_transform_name="$ac_optarg" ;;
289
290  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
291  | -silent | --silent | --silen | --sile | --sil)
292    silent=yes ;;
293
294  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
295    ac_prev=sbindir ;;
296  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
297  | --sbi=* | --sb=*)
298    sbindir="$ac_optarg" ;;
299
300  -sharedstatedir | --sharedstatedir | --sharedstatedi \
301  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
302  | --sharedst | --shareds | --shared | --share | --shar \
303  | --sha | --sh)
304    ac_prev=sharedstatedir ;;
305  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
306  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
307  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
308  | --sha=* | --sh=*)
309    sharedstatedir="$ac_optarg" ;;
310
311  -site | --site | --sit)
312    ac_prev=site ;;
313  -site=* | --site=* | --sit=*)
314    site="$ac_optarg" ;;
315
316  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
317    ac_prev=srcdir ;;
318  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
319    srcdir="$ac_optarg" ;;
320
321  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
322  | --syscon | --sysco | --sysc | --sys | --sy)
323    ac_prev=sysconfdir ;;
324  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
325  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
326    sysconfdir="$ac_optarg" ;;
327
328  -target | --target | --targe | --targ | --tar | --ta | --t)
329    ac_prev=target ;;
330  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
331    target="$ac_optarg" ;;
332
333  -v | -verbose | --verbose | --verbos | --verbo | --verb)
334    verbose=yes ;;
335
336  -version | --version | --versio | --versi | --vers)
337    echo "configure generated by autoconf version 2.13"
338    exit 0 ;;
339
340  -with-* | --with-*)
341    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
342    # Reject names that are not valid shell variable names.
343    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
344      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345    fi
346    ac_package=`echo $ac_package| sed 's/-/_/g'`
347    case "$ac_option" in
348      *=*) ;;
349      *) ac_optarg=yes ;;
350    esac
351    eval "with_${ac_package}='$ac_optarg'" ;;
352
353  -without-* | --without-*)
354    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
355    # Reject names that are not valid shell variable names.
356    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
357      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358    fi
359    ac_package=`echo $ac_package| sed 's/-/_/g'`
360    eval "with_${ac_package}=no" ;;
361
362  --x)
363    # Obsolete; use --with-x.
364    with_x=yes ;;
365
366  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
367  | --x-incl | --x-inc | --x-in | --x-i)
368    ac_prev=x_includes ;;
369  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
370  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
371    x_includes="$ac_optarg" ;;
372
373  -x-libraries | --x-libraries | --x-librarie | --x-librari \
374  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
375    ac_prev=x_libraries ;;
376  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
377  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
378    x_libraries="$ac_optarg" ;;
379
380  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
381    ;;
382
383  *)
384    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
385      echo "configure: warning: $ac_option: invalid host type" 1>&2
386    fi
387    if test "x$nonopt" != xNONE; then
388      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389    fi
390    nonopt="$ac_option"
391    ;;
392
393  esac
394done
395
396if test -n "$ac_prev"; then
397  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
398fi
399
400trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401
402# File descriptor usage:
403# 0 standard input
404# 1 file creation
405# 2 errors and warnings
406# 3 some systems may open it to /dev/tty
407# 4 used on the Kubota Titan
408# 6 checking for... messages and results
409# 5 compiler messages saved in config.log
410if test "$silent" = yes; then
411  exec 6>/dev/null
412else
413  exec 6>&1
414fi
415exec 5>./config.log
416
417echo "\
418This file contains any messages produced by compilers while
419running configure, to aid debugging if configure makes a mistake.
420" 1>&5
421
422# Strip out --no-create and --no-recursion so they do not pile up.
423# Also quote any args containing shell metacharacters.
424ac_configure_args=
425for ac_arg
426do
427  case "$ac_arg" in
428  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
429  | --no-cr | --no-c) ;;
430  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
431  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
432  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
433  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
434  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
435  esac
436done
437
438# NLS nuisances.
439# Only set these to C if already set.  These must not be set unconditionally
440# because not all systems understand e.g. LANG=C (notably SCO).
441# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
442# Non-C LC_CTYPE values break the ctype check.
443if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
444if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
445if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
446if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
447
448# confdefs.h avoids OS command line length limits that DEFS can exceed.
449rm -rf conftest* confdefs.h
450# AIX cpp loses on an empty file, so make sure it contains at least a newline.
451echo > confdefs.h
452
453# A filename unique to this package, relative to the directory that
454# configure is in, which we can look for to find out if srcdir is correct.
455ac_unique_file=aescrypt.c
456
457# Find the source files, if location was not specified.
458if test -z "$srcdir"; then
459  ac_srcdir_defaulted=yes
460  # Try the directory containing this script, then its parent.
461  ac_prog=$0
462  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
463  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
464  srcdir=$ac_confdir
465  if test ! -r $srcdir/$ac_unique_file; then
466    srcdir=..
467  fi
468else
469  ac_srcdir_defaulted=no
470fi
471if test ! -r $srcdir/$ac_unique_file; then
472  if test "$ac_srcdir_defaulted" = yes; then
473    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
474  else
475    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
476  fi
477fi
478srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479
480# Prefer explicitly selected file to automatically selected ones.
481if test -z "$CONFIG_SITE"; then
482  if test "x$prefix" != xNONE; then
483    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
484  else
485    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
486  fi
487fi
488for ac_site_file in $CONFIG_SITE; do
489  if test -r "$ac_site_file"; then
490    echo "loading site script $ac_site_file"
491    . "$ac_site_file"
492  fi
493done
494
495if test -r "$cache_file"; then
496  echo "loading cache $cache_file"
497  . $cache_file
498else
499  echo "creating cache $cache_file"
500  > $cache_file
501fi
502
503ac_ext=c
504# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
505ac_cpp="$CPP $CPPFLAGS"
506ac_compile="${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5"
507ac_link="${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5"
508cross_compiling=$ac_cv_prog_cc_cross
509
510ac_exeext=
511ac_objext=o
512if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
513  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
514  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
515    ac_n= ac_c='
516' ac_t='	'
517  else
518    ac_n=-n ac_c= ac_t=
519  fi
520else
521  ac_n= ac_c='\c' ac_t=
522fi
523
524
525
526
527
528
529# Extract the first word of "gcc", so it can be a program name with args.
530set dummy gcc; ac_word=$2
531echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
532echo "configure:533: checking for $ac_word" >&5
533if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
534  echo $ac_n "(cached) $ac_c" 1>&6
535else
536  if test -n "$CC"; then
537  ac_cv_prog_CC="$CC" # Let the user override the test.
538else
539  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
540  ac_dummy="$PATH"
541  for ac_dir in $ac_dummy; do
542    test -z "$ac_dir" && ac_dir=.
543    if test -f $ac_dir/$ac_word; then
544      ac_cv_prog_CC="gcc"
545      break
546    fi
547  done
548  IFS="$ac_save_ifs"
549fi
550fi
551CC="$ac_cv_prog_CC"
552if test -n "$CC"; then
553  echo "$ac_t""$CC" 1>&6
554else
555  echo "$ac_t""no" 1>&6
556fi
557
558if test -z "$CC"; then
559  # Extract the first word of "cc", so it can be a program name with args.
560set dummy cc; ac_word=$2
561echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
562echo "configure:563: checking for $ac_word" >&5
563if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
564  echo $ac_n "(cached) $ac_c" 1>&6
565else
566  if test -n "$CC"; then
567  ac_cv_prog_CC="$CC" # Let the user override the test.
568else
569  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
570  ac_prog_rejected=no
571  ac_dummy="$PATH"
572  for ac_dir in $ac_dummy; do
573    test -z "$ac_dir" && ac_dir=.
574    if test -f $ac_dir/$ac_word; then
575      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
576        ac_prog_rejected=yes
577	continue
578      fi
579      ac_cv_prog_CC="cc"
580      break
581    fi
582  done
583  IFS="$ac_save_ifs"
584if test $ac_prog_rejected = yes; then
585  # We found a bogon in the path, so make sure we never use it.
586  set dummy $ac_cv_prog_CC
587  shift
588  if test $# -gt 0; then
589    # We chose a different compiler from the bogus one.
590    # However, it has the same basename, so the bogon will be chosen
591    # first if we set CC to just the basename; use the full file name.
592    shift
593    set dummy "$ac_dir/$ac_word" "$@"
594    shift
595    ac_cv_prog_CC="$@"
596  fi
597fi
598fi
599fi
600CC="$ac_cv_prog_CC"
601if test -n "$CC"; then
602  echo "$ac_t""$CC" 1>&6
603else
604  echo "$ac_t""no" 1>&6
605fi
606
607  if test -z "$CC"; then
608    case "`uname -s`" in
609    *win32* | *WIN32*)
610      # Extract the first word of "cl", so it can be a program name with args.
611set dummy cl; ac_word=$2
612echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
613echo "configure:614: checking for $ac_word" >&5
614if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
615  echo $ac_n "(cached) $ac_c" 1>&6
616else
617  if test -n "$CC"; then
618  ac_cv_prog_CC="$CC" # Let the user override the test.
619else
620  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
621  ac_dummy="$PATH"
622  for ac_dir in $ac_dummy; do
623    test -z "$ac_dir" && ac_dir=.
624    if test -f $ac_dir/$ac_word; then
625      ac_cv_prog_CC="cl"
626      break
627    fi
628  done
629  IFS="$ac_save_ifs"
630fi
631fi
632CC="$ac_cv_prog_CC"
633if test -n "$CC"; then
634  echo "$ac_t""$CC" 1>&6
635else
636  echo "$ac_t""no" 1>&6
637fi
638 ;;
639    esac
640  fi
641  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
642fi
643
644echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
645echo "configure:646: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
646
647ac_ext=c
648# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
649ac_cpp="$CPP $CPPFLAGS"
650ac_compile="${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5"
651ac_link="${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5"
652cross_compiling=$ac_cv_prog_cc_cross
653
654cat > conftest.$ac_ext << EOF
655
656#line 657 "configure"
657#include "confdefs.h"
658
659main(){return(0);}
660EOF
661if { (eval echo configure:662: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
662  ac_cv_prog_cc_works=yes
663  # If we can't run a trivial program, we are probably using a cross compiler.
664  if (./conftest; exit) 2>/dev/null; then
665    ac_cv_prog_cc_cross=no
666  else
667    ac_cv_prog_cc_cross=yes
668  fi
669else
670  echo "configure: failed program was:" >&5
671  cat conftest.$ac_ext >&5
672  ac_cv_prog_cc_works=no
673fi
674rm -fr conftest*
675ac_ext=c
676# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
677ac_cpp="$CPP $CPPFLAGS"
678ac_compile="${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5"
679ac_link="${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5"
680cross_compiling=$ac_cv_prog_cc_cross
681
682echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
683if test $ac_cv_prog_cc_works = no; then
684  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
685fi
686echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
687echo "configure:688: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
688echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
689cross_compiling=$ac_cv_prog_cc_cross
690
691echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
692echo "configure:693: checking whether we are using GNU C" >&5
693if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
694  echo $ac_n "(cached) $ac_c" 1>&6
695else
696  cat > conftest.c <<EOF
697#ifdef __GNUC__
698  yes;
699#endif
700EOF
701if { ac_try="${CC-cc} -E conftest.c"; { (eval echo configure:702: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
702  ac_cv_prog_gcc=yes
703else
704  ac_cv_prog_gcc=no
705fi
706fi
707
708echo "$ac_t""$ac_cv_prog_gcc" 1>&6
709
710if test $ac_cv_prog_gcc = yes; then
711  GCC=yes
712else
713  GCC=
714fi
715
716ac_test_CFLAGS="${CFLAGS+set}"
717ac_save_CFLAGS="$CFLAGS"
718CFLAGS=
719echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
720echo "configure:721: checking whether ${CC-cc} accepts -g" >&5
721if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
722  echo $ac_n "(cached) $ac_c" 1>&6
723else
724  echo 'void f(){}' > conftest.c
725if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
726  ac_cv_prog_cc_g=yes
727else
728  ac_cv_prog_cc_g=no
729fi
730rm -f conftest*
731
732fi
733
734echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
735if test "$ac_test_CFLAGS" = set; then
736  CFLAGS="$ac_save_CFLAGS"
737elif test $ac_cv_prog_cc_g = yes; then
738  if test "$GCC" = yes; then
739    CFLAGS="-g -O2"
740  else
741    CFLAGS="-g"
742  fi
743else
744  if test "$GCC" = yes; then
745    CFLAGS="-O2"
746  else
747    CFLAGS=
748  fi
749fi
750
751
752
753echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
754echo "configure:755: checking how to run the C preprocessor" >&5
755# On Suns, sometimes $CPP names a directory.
756if test -n "$CPP" && test -d "$CPP"; then
757  CPP=
758fi
759if test -z "$CPP"; then
760if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
761  echo $ac_n "(cached) $ac_c" 1>&6
762else
763    # This must be in double quotes, not single quotes, because CPP may get
764  # substituted into the Makefile and "${CC-cc}" will confuse make.
765  CPP="${CC-cc} -E"
766  # On the NeXT, cc -E runs the code through the compiler's parser,
767  # not just through cpp.
768  cat > conftest.$ac_ext <<EOF
769#line 770 "configure"
770#include "confdefs.h"
771#include <assert.h>
772Syntax Error
773EOF
774ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
775{ (eval echo configure:776: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
776ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
777if test -z "$ac_err"; then
778  :
779else
780  echo "$ac_err" >&5
781  echo "configure: failed program was:" >&5
782  cat conftest.$ac_ext >&5
783  rm -rf conftest*
784  CPP="${CC-cc} -E -traditional-cpp"
785  cat > conftest.$ac_ext <<EOF
786#line 787 "configure"
787#include "confdefs.h"
788#include <assert.h>
789Syntax Error
790EOF
791ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
792{ (eval echo configure:793: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
793ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
794if test -z "$ac_err"; then
795  :
796else
797  echo "$ac_err" >&5
798  echo "configure: failed program was:" >&5
799  cat conftest.$ac_ext >&5
800  rm -rf conftest*
801  CPP="${CC-cc} -nologo -E"
802  cat > conftest.$ac_ext <<EOF
803#line 804 "configure"
804#include "confdefs.h"
805#include <assert.h>
806Syntax Error
807EOF
808ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
809{ (eval echo configure:810: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
810ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
811if test -z "$ac_err"; then
812  :
813else
814  echo "$ac_err" >&5
815  echo "configure: failed program was:" >&5
816  cat conftest.$ac_ext >&5
817  rm -rf conftest*
818  CPP=/lib/cpp
819fi
820rm -f conftest*
821fi
822rm -f conftest*
823fi
824rm -f conftest*
825  ac_cv_prog_CPP="$CPP"
826fi
827  CPP="$ac_cv_prog_CPP"
828else
829  ac_cv_prog_CPP="$CPP"
830fi
831echo "$ac_t""$CPP" 1>&6
832
833echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
834echo "configure:835: checking for ANSI C header files" >&5
835if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
836  echo $ac_n "(cached) $ac_c" 1>&6
837else
838  cat > conftest.$ac_ext <<EOF
839#line 840 "configure"
840#include "confdefs.h"
841#include <stdlib.h>
842#include <stdarg.h>
843#include <string.h>
844#include <float.h>
845EOF
846ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
847{ (eval echo configure:848: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
848ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
849if test -z "$ac_err"; then
850  rm -rf conftest*
851  ac_cv_header_stdc=yes
852else
853  echo "$ac_err" >&5
854  echo "configure: failed program was:" >&5
855  cat conftest.$ac_ext >&5
856  rm -rf conftest*
857  ac_cv_header_stdc=no
858fi
859rm -f conftest*
860
861if test $ac_cv_header_stdc = yes; then
862  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
863cat > conftest.$ac_ext <<EOF
864#line 865 "configure"
865#include "confdefs.h"
866#include <string.h>
867EOF
868if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
869  egrep "memchr" >/dev/null 2>&1; then
870  :
871else
872  rm -rf conftest*
873  ac_cv_header_stdc=no
874fi
875rm -f conftest*
876
877fi
878
879if test $ac_cv_header_stdc = yes; then
880  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
881cat > conftest.$ac_ext <<EOF
882#line 883 "configure"
883#include "confdefs.h"
884#include <stdlib.h>
885EOF
886if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
887  egrep "free" >/dev/null 2>&1; then
888  :
889else
890  rm -rf conftest*
891  ac_cv_header_stdc=no
892fi
893rm -f conftest*
894
895fi
896
897if test $ac_cv_header_stdc = yes; then
898  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
899if test "$cross_compiling" = yes; then
900  :
901else
902  cat > conftest.$ac_ext <<EOF
903#line 904 "configure"
904#include "confdefs.h"
905#include <ctype.h>
906#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
907#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
908#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
909int main () { int i; for (i = 0; i < 256; i++)
910if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
911exit (0); }
912
913EOF
914if { (eval echo configure:915: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
915then
916  :
917else
918  echo "configure: failed program was:" >&5
919  cat conftest.$ac_ext >&5
920  rm -fr conftest*
921  ac_cv_header_stdc=no
922fi
923rm -fr conftest*
924fi
925
926fi
927fi
928
929echo "$ac_t""$ac_cv_header_stdc" 1>&6
930if test $ac_cv_header_stdc = yes; then
931  cat >> confdefs.h <<\EOF
932#define STDC_HEADERS 1
933EOF
934
935fi
936
937for ac_hdr in fcntl.h
938do
939ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
940echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
941echo "configure:942: checking for $ac_hdr" >&5
942if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
943  echo $ac_n "(cached) $ac_c" 1>&6
944else
945  cat > conftest.$ac_ext <<EOF
946#line 947 "configure"
947#include "confdefs.h"
948#include <$ac_hdr>
949EOF
950ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
951{ (eval echo configure:952: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
952ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
953if test -z "$ac_err"; then
954  rm -rf conftest*
955  eval "ac_cv_header_$ac_safe=yes"
956else
957  echo "$ac_err" >&5
958  echo "configure: failed program was:" >&5
959  cat conftest.$ac_ext >&5
960  rm -rf conftest*
961  eval "ac_cv_header_$ac_safe=no"
962fi
963rm -f conftest*
964fi
965if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
966  echo "$ac_t""yes" 1>&6
967    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
968  cat >> confdefs.h <<EOF
969#define $ac_tr_hdr 1
970EOF
971
972else
973  echo "$ac_t""no" 1>&6
974fi
975done
976
977
978echo $ac_n "checking for working const""... $ac_c" 1>&6
979echo "configure:980: checking for working const" >&5
980if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
981  echo $ac_n "(cached) $ac_c" 1>&6
982else
983  cat > conftest.$ac_ext <<EOF
984#line 985 "configure"
985#include "confdefs.h"
986
987int main() {
988
989/* Ultrix mips cc rejects this.  */
990typedef int charset[2]; const charset x;
991/* SunOS 4.1.1 cc rejects this.  */
992char const *const *ccp;
993char **p;
994/* NEC SVR4.0.2 mips cc rejects this.  */
995struct point {int x, y;};
996static struct point const zero = {0,0};
997/* AIX XL C 1.02.0.0 rejects this.
998   It does not let you subtract one const X* pointer from another in an arm
999   of an if-expression whose if-part is not a constant expression */
1000const char *g = "string";
1001ccp = &g + (g ? g-g : 0);
1002/* HPUX 7.0 cc rejects these. */
1003++ccp;
1004p = (char**) ccp;
1005ccp = (char const *const *) p;
1006{ /* SCO 3.2v4 cc rejects this.  */
1007  char *t;
1008  char const *s = 0 ? (char *) 0 : (char const *) 0;
1009
1010  *t++ = 0;
1011}
1012{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
1013  int x[] = {25, 17};
1014  const int *foo = &x[0];
1015  ++foo;
1016}
1017{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1018  typedef const int *iptr;
1019  iptr p = 0;
1020  ++p;
1021}
1022{ /* AIX XL C 1.02.0.0 rejects this saying
1023     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1024  struct s { int j; const int *ap[3]; };
1025  struct s *b; b->j = 5;
1026}
1027{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1028  const int foo = 10;
1029}
1030
1031; return 0; }
1032EOF
1033if { (eval echo configure:1034: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1034  rm -rf conftest*
1035  ac_cv_c_const=yes
1036else
1037  echo "configure: failed program was:" >&5
1038  cat conftest.$ac_ext >&5
1039  rm -rf conftest*
1040  ac_cv_c_const=no
1041fi
1042rm -f conftest*
1043fi
1044
1045echo "$ac_t""$ac_cv_c_const" 1>&6
1046if test $ac_cv_c_const = no; then
1047  cat >> confdefs.h <<\EOF
1048#define const
1049EOF
1050
1051fi
1052
1053echo $ac_n "checking for size_t""... $ac_c" 1>&6
1054echo "configure:1055: checking for size_t" >&5
1055if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1056  echo $ac_n "(cached) $ac_c" 1>&6
1057else
1058  cat > conftest.$ac_ext <<EOF
1059#line 1060 "configure"
1060#include "confdefs.h"
1061#include <sys/types.h>
1062#if STDC_HEADERS
1063#include <stdlib.h>
1064#include <stddef.h>
1065#endif
1066EOF
1067if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1068  egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1069  rm -rf conftest*
1070  ac_cv_type_size_t=yes
1071else
1072  rm -rf conftest*
1073  ac_cv_type_size_t=no
1074fi
1075rm -f conftest*
1076
1077fi
1078echo "$ac_t""$ac_cv_type_size_t" 1>&6
1079if test $ac_cv_type_size_t = no; then
1080  cat >> confdefs.h <<\EOF
1081#define size_t unsigned
1082EOF
1083
1084fi
1085
1086
1087echo $ac_n "checking size of int""... $ac_c" 1>&6
1088echo "configure:1089: checking size of int" >&5
1089if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
1090  echo $ac_n "(cached) $ac_c" 1>&6
1091else
1092  if test "$cross_compiling" = yes; then
1093    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1094else
1095  cat > conftest.$ac_ext <<EOF
1096#line 1097 "configure"
1097#include "confdefs.h"
1098#include <stdio.h>
1099main()
1100{
1101  FILE *f=fopen("conftestval", "w");
1102  if (!f) exit(1);
1103  fprintf(f, "%d\n", sizeof(int));
1104  exit(0);
1105}
1106EOF
1107if { (eval echo configure:1108: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1108then
1109  ac_cv_sizeof_int=`cat conftestval`
1110else
1111  echo "configure: failed program was:" >&5
1112  cat conftest.$ac_ext >&5
1113  rm -fr conftest*
1114  ac_cv_sizeof_int=0
1115fi
1116rm -fr conftest*
1117fi
1118
1119fi
1120echo "$ac_t""$ac_cv_sizeof_int" 1>&6
1121cat >> confdefs.h <<EOF
1122#define SIZEOF_INT $ac_cv_sizeof_int
1123EOF
1124
1125
1126echo $ac_n "checking size of long""... $ac_c" 1>&6
1127echo "configure:1128: checking size of long" >&5
1128if eval "test \"`echo '$''{'ac_cv_sizeof_long'+set}'`\" = set"; then
1129  echo $ac_n "(cached) $ac_c" 1>&6
1130else
1131  if test "$cross_compiling" = yes; then
1132    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1133else
1134  cat > conftest.$ac_ext <<EOF
1135#line 1136 "configure"
1136#include "confdefs.h"
1137#include <stdio.h>
1138main()
1139{
1140  FILE *f=fopen("conftestval", "w");
1141  if (!f) exit(1);
1142  fprintf(f, "%d\n", sizeof(long));
1143  exit(0);
1144}
1145EOF
1146if { (eval echo configure:1147: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1147then
1148  ac_cv_sizeof_long=`cat conftestval`
1149else
1150  echo "configure: failed program was:" >&5
1151  cat conftest.$ac_ext >&5
1152  rm -fr conftest*
1153  ac_cv_sizeof_long=0
1154fi
1155rm -fr conftest*
1156fi
1157
1158fi
1159echo "$ac_t""$ac_cv_sizeof_long" 1>&6
1160cat >> confdefs.h <<EOF
1161#define SIZEOF_LONG $ac_cv_sizeof_long
1162EOF
1163
1164
1165
1166echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
1167echo "configure:1168: checking whether byte ordering is bigendian" >&5
1168if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
1169  echo $ac_n "(cached) $ac_c" 1>&6
1170else
1171  ac_cv_c_bigendian=unknown
1172# See if sys/param.h defines the BYTE_ORDER macro.
1173cat > conftest.$ac_ext <<EOF
1174#line 1175 "configure"
1175#include "confdefs.h"
1176#include <sys/types.h>
1177#include <sys/param.h>
1178int main() {
1179
1180#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
1181 bogus endian macros
1182#endif
1183; return 0; }
1184EOF
1185if { (eval echo configure:1186: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1186  rm -rf conftest*
1187  # It does; now see whether it defined to BIG_ENDIAN or not.
1188cat > conftest.$ac_ext <<EOF
1189#line 1190 "configure"
1190#include "confdefs.h"
1191#include <sys/types.h>
1192#include <sys/param.h>
1193int main() {
1194
1195#if BYTE_ORDER != BIG_ENDIAN
1196 not big endian
1197#endif
1198; return 0; }
1199EOF
1200if { (eval echo configure:1201: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1201  rm -rf conftest*
1202  ac_cv_c_bigendian=yes
1203else
1204  echo "configure: failed program was:" >&5
1205  cat conftest.$ac_ext >&5
1206  rm -rf conftest*
1207  ac_cv_c_bigendian=no
1208fi
1209rm -f conftest*
1210else
1211  echo "configure: failed program was:" >&5
1212  cat conftest.$ac_ext >&5
1213fi
1214rm -f conftest*
1215if test $ac_cv_c_bigendian = unknown; then
1216if test "$cross_compiling" = yes; then
1217    { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1218else
1219  cat > conftest.$ac_ext <<EOF
1220#line 1221 "configure"
1221#include "confdefs.h"
1222main () {
1223  /* Are we little or big endian?  From Harbison&Steele.  */
1224  union
1225  {
1226    long l;
1227    char c[sizeof (long)];
1228  } u;
1229  u.l = 1;
1230  exit (u.c[sizeof (long) - 1] == 1);
1231}
1232EOF
1233if { (eval echo configure:1234: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1234then
1235  ac_cv_c_bigendian=no
1236else
1237  echo "configure: failed program was:" >&5
1238  cat conftest.$ac_ext >&5
1239  rm -fr conftest*
1240  ac_cv_c_bigendian=yes
1241fi
1242rm -fr conftest*
1243fi
1244
1245fi
1246fi
1247
1248echo "$ac_t""$ac_cv_c_bigendian" 1>&6
1249if test $ac_cv_c_bigendian = yes; then
1250  cat >> confdefs.h <<\EOF
1251#define WORDS_BIGENDIAN 1
1252EOF
1253
1254fi
1255
1256
1257
1258
1259trap '' 1 2 15
1260cat > confcache <<\EOF
1261# This file is a shell script that caches the results of configure
1262# tests run on this system so they can be shared between configure
1263# scripts and configure runs.  It is not useful on other systems.
1264# If it contains results you don't want to keep, you may remove or edit it.
1265#
1266# By default, configure uses ./config.cache as the cache file,
1267# creating it if it does not exist already.  You can give configure
1268# the --cache-file=FILE option to use a different cache file; that is
1269# what configure does when it calls configure scripts in
1270# subdirectories, so they share the cache.
1271# Giving --cache-file=/dev/null disables caching, for debugging configure.
1272# config.status only pays attention to the cache file if you give it the
1273# --recheck option to rerun configure.
1274#
1275EOF
1276# The following way of writing the cache mishandles newlines in values,
1277# but we know of no workaround that is simple, portable, and efficient.
1278# So, don't put newlines in cache variables' values.
1279# Ultrix sh set writes to stderr and can't be redirected directly,
1280# and sets the high bit in the cache file unless we assign to the vars.
1281(set) 2>&1 |
1282  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1283  *ac_space=\ *)
1284    # `set' does not quote correctly, so add quotes (double-quote substitution
1285    # turns \\\\ into \\, and sed turns \\ into \).
1286    sed -n \
1287      -e "s/'/'\\\\''/g" \
1288      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1289    ;;
1290  *)
1291    # `set' quotes correctly as required by POSIX, so do not add quotes.
1292    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1293    ;;
1294  esac >> confcache
1295if cmp -s $cache_file confcache; then
1296  :
1297else
1298  if test -w $cache_file; then
1299    echo "updating cache $cache_file"
1300    cat confcache > $cache_file
1301  else
1302    echo "not updating unwritable cache $cache_file"
1303  fi
1304fi
1305rm -f confcache
1306
1307trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1308
1309test "x$prefix" = xNONE && prefix=$ac_default_prefix
1310# Let make expand exec_prefix.
1311test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
1312
1313# Any assignment to VPATH causes Sun make to only execute
1314# the first set of double-colon rules, so remove it if not needed.
1315# If there is a colon in the path, we need to keep it.
1316if test "x$srcdir" = x.; then
1317  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1318fi
1319
1320trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1321
1322DEFS=-DHAVE_CONFIG_H
1323
1324# Without the "./", some shells look in PATH for config.status.
1325: ${CONFIG_STATUS=./config.status}
1326
1327echo creating $CONFIG_STATUS
1328rm -f $CONFIG_STATUS
1329cat > $CONFIG_STATUS <<EOF
1330#! /bin/sh
1331# Generated automatically by configure.
1332# Run this file to recreate the current configuration.
1333# This directory was configured as follows,
1334# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1335#
1336# $0 $ac_configure_args
1337#
1338# Compiler output produced by configure, useful for debugging
1339# configure, is in ./config.log if it exists.
1340
1341ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1342for ac_option
1343do
1344  case "\$ac_option" in
1345  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1346    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1347    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1348  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1349    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1350    exit 0 ;;
1351  -help | --help | --hel | --he | --h)
1352    echo "\$ac_cs_usage"; exit 0 ;;
1353  *) echo "\$ac_cs_usage"; exit 1 ;;
1354  esac
1355done
1356
1357ac_given_srcdir=$srcdir
1358
1359trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1360EOF
1361cat >> $CONFIG_STATUS <<EOF
1362
1363# Protect against being on the right side of a sed subst in config.status.
1364sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1365 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1366$ac_vpsub
1367$extrasub
1368s%@SHELL@%$SHELL%g
1369s%@CFLAGS@%$CFLAGS%g
1370s%@CPPFLAGS@%$CPPFLAGS%g
1371s%@CXXFLAGS@%$CXXFLAGS%g
1372s%@FFLAGS@%$FFLAGS%g
1373s%@DEFS@%$DEFS%g
1374s%@LDFLAGS@%$LDFLAGS%g
1375s%@LIBS@%$LIBS%g
1376s%@exec_prefix@%$exec_prefix%g
1377s%@prefix@%$prefix%g
1378s%@program_transform_name@%$program_transform_name%g
1379s%@bindir@%$bindir%g
1380s%@sbindir@%$sbindir%g
1381s%@libexecdir@%$libexecdir%g
1382s%@datadir@%$datadir%g
1383s%@sysconfdir@%$sysconfdir%g
1384s%@sharedstatedir@%$sharedstatedir%g
1385s%@localstatedir@%$localstatedir%g
1386s%@libdir@%$libdir%g
1387s%@includedir@%$includedir%g
1388s%@oldincludedir@%$oldincludedir%g
1389s%@infodir@%$infodir%g
1390s%@mandir@%$mandir%g
1391s%@CC@%$CC%g
1392s%@CPP@%$CPP%g
1393
1394CEOF
1395EOF
1396
1397cat >> $CONFIG_STATUS <<\EOF
1398
1399# Split the substitutions into bite-sized pieces for seds with
1400# small command number limits, like on Digital OSF/1 and HP-UX.
1401ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1402ac_file=1 # Number of current file.
1403ac_beg=1 # First line for current file.
1404ac_end=$ac_max_sed_cmds # Line after last line for current file.
1405ac_more_lines=:
1406ac_sed_cmds=""
1407while $ac_more_lines; do
1408  if test $ac_beg -gt 1; then
1409    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1410  else
1411    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1412  fi
1413  if test ! -s conftest.s$ac_file; then
1414    ac_more_lines=false
1415    rm -f conftest.s$ac_file
1416  else
1417    if test -z "$ac_sed_cmds"; then
1418      ac_sed_cmds="sed -f conftest.s$ac_file"
1419    else
1420      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1421    fi
1422    ac_file=`expr $ac_file + 1`
1423    ac_beg=$ac_end
1424    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1425  fi
1426done
1427if test -z "$ac_sed_cmds"; then
1428  ac_sed_cmds=cat
1429fi
1430EOF
1431
1432cat >> $CONFIG_STATUS <<EOF
1433
1434CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1435EOF
1436cat >> $CONFIG_STATUS <<\EOF
1437for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1438  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1439  case "$ac_file" in
1440  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1441       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1442  *) ac_file_in="${ac_file}.in" ;;
1443  esac
1444
1445  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1446
1447  # Remove last slash and all that follows it.  Not all systems have dirname.
1448  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1449  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1450    # The file is in a subdirectory.
1451    test ! -d "$ac_dir" && mkdir "$ac_dir"
1452    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1453    # A "../" for each directory in $ac_dir_suffix.
1454    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1455  else
1456    ac_dir_suffix= ac_dots=
1457  fi
1458
1459  case "$ac_given_srcdir" in
1460  .)  srcdir=.
1461      if test -z "$ac_dots"; then top_srcdir=.
1462      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1463  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1464  *) # Relative path.
1465    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1466    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1467  esac
1468
1469
1470  echo creating "$ac_file"
1471  rm -f "$ac_file"
1472  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1473  case "$ac_file" in
1474  *Makefile*) ac_comsub="1i\\
1475# $configure_input" ;;
1476  *) ac_comsub= ;;
1477  esac
1478
1479  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1480  sed -e "$ac_comsub
1481s%@configure_input@%$configure_input%g
1482s%@srcdir@%$srcdir%g
1483s%@top_srcdir@%$top_srcdir%g
1484" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1485fi; done
1486rm -f conftest.s*
1487
1488# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1489# NAME is the cpp macro being defined and VALUE is the value it is being given.
1490#
1491# ac_d sets the value in "#define NAME VALUE" lines.
1492ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1493ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1494ac_dC='\3'
1495ac_dD='%g'
1496# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1497ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1498ac_uB='\([ 	]\)%\1#\2define\3'
1499ac_uC=' '
1500ac_uD='\4%g'
1501# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1502ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1503ac_eB='$%\1#\2define\3'
1504ac_eC=' '
1505ac_eD='%g'
1506
1507if test "${CONFIG_HEADERS+set}" != set; then
1508EOF
1509cat >> $CONFIG_STATUS <<EOF
1510  CONFIG_HEADERS="config.h"
1511EOF
1512cat >> $CONFIG_STATUS <<\EOF
1513fi
1514for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1515  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1516  case "$ac_file" in
1517  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1518       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1519  *) ac_file_in="${ac_file}.in" ;;
1520  esac
1521
1522  echo creating $ac_file
1523
1524  rm -f conftest.frag conftest.in conftest.out
1525  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1526  cat $ac_file_inputs > conftest.in
1527
1528EOF
1529
1530# Transform confdefs.h into a sed script conftest.vals that substitutes
1531# the proper values into config.h.in to produce config.h.  And first:
1532# Protect against being on the right side of a sed subst in config.status.
1533# Protect against being in an unquoted here document in config.status.
1534rm -f conftest.vals
1535cat > conftest.hdr <<\EOF
1536s/[\\&%]/\\&/g
1537s%[\\$`]%\\&%g
1538s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1539s%ac_d%ac_u%gp
1540s%ac_u%ac_e%gp
1541EOF
1542sed -n -f conftest.hdr confdefs.h > conftest.vals
1543rm -f conftest.hdr
1544
1545# This sed command replaces #undef with comments.  This is necessary, for
1546# example, in the case of _POSIX_SOURCE, which is predefined and required
1547# on some systems where configure will not decide to define it.
1548cat >> conftest.vals <<\EOF
1549s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1550EOF
1551
1552# Break up conftest.vals because some shells have a limit on
1553# the size of here documents, and old seds have small limits too.
1554
1555rm -f conftest.tail
1556while :
1557do
1558  ac_lines=`grep -c . conftest.vals`
1559  # grep -c gives empty output for an empty file on some AIX systems.
1560  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1561  # Write a limited-size here document to conftest.frag.
1562  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1563  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1564  echo 'CEOF
1565  sed -f conftest.frag conftest.in > conftest.out
1566  rm -f conftest.in
1567  mv conftest.out conftest.in
1568' >> $CONFIG_STATUS
1569  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1570  rm -f conftest.vals
1571  mv conftest.tail conftest.vals
1572done
1573rm -f conftest.vals
1574
1575cat >> $CONFIG_STATUS <<\EOF
1576  rm -f conftest.frag conftest.h
1577  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1578  cat conftest.in >> conftest.h
1579  rm -f conftest.in
1580  if cmp -s $ac_file conftest.h 2>/dev/null; then
1581    echo "$ac_file is unchanged"
1582    rm -f conftest.h
1583  else
1584    # Remove last slash and all that follows it.  Not all systems have dirname.
1585      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1586      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1587      # The file is in a subdirectory.
1588      test ! -d "$ac_dir" && mkdir "$ac_dir"
1589    fi
1590    rm -f $ac_file
1591    mv conftest.h $ac_file
1592  fi
1593fi; done
1594
1595EOF
1596cat >> $CONFIG_STATUS <<EOF
1597
1598EOF
1599cat >> $CONFIG_STATUS <<\EOF
1600
1601exit 0
1602EOF
1603chmod +x $CONFIG_STATUS
1604rm -fr confdefs* $ac_clean_files
1605test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1606
1607